/**
 * License Agreement.
 *
 *  JBoss RichFaces - Ajax4jsf Component Library
 *
 * Copyright (C) 2007  Exadel, Inc.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License version 2.1 as published by the Free Software Foundation.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301  USA
 */
package org.richfaces.realworld.service;

import java.util.List;

import javax.ejb.Local;

import org.richfaces.realworld.domain.Album;
import org.richfaces.realworld.domain.Image;
import org.richfaces.realworld.domain.User;

import com.sun.corba.se.impl.protocol.giopmsgheaders.Message;

@Local
public interface IUserAction {
	public User login(String username, String password);
	public void register(User user);
	public boolean isUserExist(String login);
	public void updateUser(User user);
	public void resetUser(User user);
	public List<String> getUsers(String suggest);
	public void removeFromFriends(User owner, User removed);
	public boolean friendExist(User user, User friend);
	public void removeFromFavoriteAlbums(User user, Album album);
	public void addFavoriteAlbum(Album album);
	public void loginAnonymous();
	public List<Album> getRootAlbums(User user);
	public void addFavoriteImage(Image image);
	public void removeFromFavoriteImages(User user, Image image);
}